Package de.tudresden.sumo.objects

## Class SumoPosition2D

- java.lang.Object
- - de.tudresden.sumo.objects.SumoPosition2D

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoPosition2D`

      public class SumoPosition2D
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `x` |
    `double` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoPosition2D()` |
    `SumoPosition2D​(double x, double y)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

    - #### y

          public double y

  - ### Constructor Detail

    - #### SumoPosition2D

          public SumoPosition2D()

    - #### SumoPosition2D

          public SumoPosition2D​(double x,
                                double y)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`